# GroupDocs.Editor.UI Samples

## GroupDocs.Editor.UI.ApiSample

The `GroupDocs.Editor.UI.ApiSample` is a sample project demonstrating the integration of the GroupDocs.Editor.UI library with the API. This sample provides practical examples of how to incorporate GroupDocs.Editor for .NET into your applications, showcasing API usage for an enhanced document editing experience.

### Key Features:

- **API Integration:** Illustrates seamless integration with the GroupDocs.Editor.UI library using the API.
- **Edit Options:** Demonstrates customization of document editing through various edit options.
- **Code Examples:** Provides clear and concise code snippets for easy comprehension.

## GroupDocs.Editor.UI.ReactSpaSample

The `GroupDocs.Editor.UI.ReactSpaSample` is a React Single Page Application (SPA) sample project that integrates GroupDocs.Editor.UI.Api with TinyMCE. This sample guides developers in creating a web-based document editor using React and seamlessly integrating it with GroupDocs.Editor for .NET.

### Key Features:

- **React Integration:** Shows the integration of GroupDocs.Editor.UI with React for a smooth SPA experience.
- **TinyMCE Integration:** Demonstrates how to use TinyMCE with GroupDocs.Editor.UI.Api for advanced editing capabilities.
- **Code Structure:** Provides a well-organized code structure for clarity and ease of implementation.

## GroupDocs.Editor.UI.SpaSample

The `GroupDocs.Editor.UI.SpaSample` is a sample project illustrating the integration of GroupDocs.Editor.UI library in a Single Page Application (SPA). Explore this sample to understand how to implement GroupDocs.Editor for .NET within your SPA, enhancing document editing functionalities.

### Key Features:

- **SPA Integration:** Shows how to seamlessly integrate GroupDocs.Editor.UI into a Single Page Application.
- **Customization:** Provides examples of customizing the document editing experience based on specific requirements.
- **User Interface:** Demonstrates the implementation of a user-friendly interface for efficient editing.

Explore these samples to kickstart your implementation of GroupDocs.Editor.UI in your applications. For detailed documentation, refer to the official [GroupDocs.Editor.UI documentation](https://docs.groupdocs.com/editor/net/groupdocs-editor-ui/).