# Document Editor API for .NET

[GroupDocs.Editor](https://products.groupdocs.com/editor/net) is an on-premise .NET library that provides the ability to edit Word, Excel, PowerPoint, TXT, HTML, XML & other popular document formats using front-end WYSIWYG editor - all without any additional applications.

<p align="center">

  <a title="Download complete GroupDocs.Editor for .NET source code" href="https://codeload.github.com/groupdocs-editor/GroupDocs.Editor-for-.NET/zip/master">
	<img src="https://raw.github.com/AsposeExamples/java-examples-dashboard/master/images/downloadZip-Button-Large.png" />
  </a>
</p>

Directory | Description
--------- | -----------
[Demos](https://github.com/groupdocs-editor/GroupDocs.Editor-for-.NET/tree/master/Demos)  | Frontend examples to help you learn how to Implement product features in a Web-UI based application. Source code of demos hosted at https://products.groupdocs.app/editor/family.
[Docs](https://github.com/groupdocs-editor/GroupDocs.Editor-Docs)  | Product documentation containing Developer's Guide, Release Notes & more.
[Examples](https://github.com/groupdocs-editor/GroupDocs.Editor-for-.NET/tree/master/Examples)  | Package contains C# example projects and sample files used in the examples.
[Plugins](https://github.com/groupdocs-editor/GroupDocs.Editor-for-.NET/tree/master/Plugins)  | Visual Studio Plugins related to GroupDocs.Editor.
[GroupDocs.Editor.UI for .NET](https://github.com/groupdocs-editor/GroupDocs.Editor-for-.NET-UI)  | Exploring GroupDocs.Editor.UI for .NET: A Rich UI Interface for Document Editing.

## Document Editing Features

- Support for [40+ document formats](https://docs.groupdocs.com/editor/net/supported-document-formats/).
- [Edit word processing documents](https://docs.groupdocs.com/editor/net/working-with-wordprocessing-documents/) in a flow or paged mode.
- Fetch language information for multi-lingual document editing.
- Extract font information to provide consistent editing and appearance behavior.
- [Edit multi-tabbed Excel files](https://docs.groupdocs.com/editor/net/working-with-spreadsheets/).
- Specify separator, flexible numeric and data conversion for CSV & TSV files.
- Recognize URIs and email addresses in XML files.
- Extract basic information about the edited document.
- Set character encoding of the input text document.
- [Grab document metadata information](https://docs.groupdocs.com/editor/net/extracting-document-metainfo/).
- Get HTML document along with all its resources (stylesheets, images).
- Open any supported format file in HTML format and save to disk.
- Fetch HTML markup from DB or remote storage.

## Editable File Formats

**Word Processing:** DOC, DOCX, DOCM, DOT, DOTM, DOTX, FlatOPC, ODT, OTT, RTF, WordML\
**Spreadsheet:** XLS, XLT, XLSX, XLSM, XLTX, XLTM, XLSB, XLAM, SXC, SpreadsheetML, ODS, FODS, DIF, DSV, CSV, TSV\
**Presentation:** PPT, PPTX, PPTM, PPS, PPSX, PPSM, POT, POTX, ODP, OTP\
**Other:** TXT, HTML, XML

## Develop & Deploy GroupDocs.Editor Anywhere

**Microsoft Windows:** Windows Desktop & Server (x86, x64), Windows Azure\
**macOS:** Mac OS X\
**Linux:** Ubuntu, OpenSUSE, CentOS, and others\
**Development Environments:** Microsoft Visual Studio, Xamarin.Android, Xamarin.IOS, Xamarin.Mac, MonoDevelop 2.4 or later\
**Supported Frameworks:** .NET Framework 2.0 & above, Mono Framework 1.2 & above

##Certainly! Here's an introduction-style text for the main page of GroupDocs.Editor for .NET based on the provided information:

## Welcome to GroupDocs.Editor for .NET

Document editing is at the heart of many applications, and GroupDocs.Editor for .NET offers a robust solution for effortlessly handling popular word-processing document formats such as DOC, DOCX, RTF, ODT, and more. As we aim to provide a comprehensive document processing experience, our .NET library is accompanied by GroupDocs.Editor.UI for .NET, a feature-rich user interface that enables users to view and edit documents directly within their web browsers.

### Unveiling GroupDocs.Editor.UI for .NET

In this exploration, we invite you to discover the powerful features and abundant resources that GroupDocs.Editor.UI for .NET brings to the table. This user interface seamlessly integrates with the GroupDocs.Editor for .NET library, enhancing the document processing capabilities of .NET applications. Whether you are building desktop, web, or cloud-based solutions, our UI interface delivers an interactive and intuitive platform for displaying, viewing, and editing word-processing documents.

### The Hub of Interaction

Located at [GroupDocs.Editor-for-.NET-UI](https://github.com/groupdocs-editor/GroupDocs.Editor-for-.NET-UI/tree/master/src/GroupDocs.Editor.UI.Api), our UI interface acts as the hub where innovation meets usability. It is meticulously crafted to provide a fluid and engaging experience for users, offering a direct avenue to interact with and modify documents without leaving the convenience of their web browsers.

Empower your applications with GroupDocs.Editor for .NET and UI – your gateway to seamless document editing in the world of .NET development.


[Home](https://www.groupdocs.com/) | [Product Page](https://products.groupdocs.com/editor/net) | [Documentation](https://docs.groupdocs.com/editor/net/) | [Demo](https://products.groupdocs.app/editor/family) | [API Reference](https://apireference.groupdocs.com/editor/net) | [Examples](https://github.com/groupdocs-editor/GroupDocs.Editor-for-.NET) | [Blog](https://blog.groupdocs.com/category/editor/) | [Search](https://search.groupdocs.com/) | [Free Support](https://blog.groupdocs.com/category/editor/) | [Temporary License](https://purchase.groupdocs.com/temporary-license)
